Bug 205050 - Spec file alterations
Spec file alterations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-02 19:48 EDT by Paul F. Johnson
Modified: 2007-12-26 09:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-26 09:03:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
f-spot spec file patch (307 bytes, patch)
2006-09-02 19:48 EDT, Paul F. Johnson
no flags Details | Diff

  None (edit)
Description Paul F. Johnson 2006-09-02 19:48:35 EDT
Description of problem:
Attached patch file patches the spec file to bring it into line with the
packaging guidelines

It just adds the %{?dist} onto the release tag
Comment 1 Paul F. Johnson 2006-09-02 19:48:35 EDT
Created attachment 135440 [details]
f-spot spec file patch
Comment 2 Toshio Kuratomi 2006-09-03 01:01:45 EDT
The dist tag is not a mandatory requirement.

It is recommended as the easiest way to make sure that a package on a newer
release of Fedora Core will upgrade an older release but it is up to the
maintainer to decide if they want to make use of the tag to help them do this or
if they are going to manually make sure that an update release for an older FC
does not break the upgrade path to newer releases' packages.

http://www.fedoraproject.org/wiki/Packaging/DistTag
Comment 3 Paul F. Johnson 2006-09-03 04:48:55 EDT
Given it's a mono package and therefore only going to hit FC5 and above (unless
mono is back ported that is), surely the dist tag should be used.

Note You need to log in before you can comment on or make changes to this bug.